Name:           mdbtools
Version:        1.0.0
Release:        1%{?dist}
Summary:        Access data stored in Microsoft Access databases
License:        GPLv2+
URL:            https://github.com/mdbtools/mdbtools/
Source0:        https://github.com/mdbtools/mdbtools/releases/download/v%{version}/mdbtools-%{version}.tar.gz
Patch1:         mdbtools-0.9.3-mdb-sql-compile-fix.patch
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libxml2-devel
BuildRequires:  glib2-devel
BuildRequires:  unixODBC-devel
BuildRequires:  readline-devel
BuildRequires:  gettext-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  txt2man
BuildRequires:  rarian
BuildRequires:  bash-completion
BuildRequires:  slibtool
BuildRequires:  autoconf
BuildRequires:  automake
Recommends:     %{name}-libs%{?_isa} = %{version}-%{release}
# No provides this is here because starting with 0.9.y upstream has dropped gmdb2
Obsoletes:      %{name}-gui <= 0.7.1-99

%description
MDB Tools is a suite of programs for accessing data stored in Microsoft
Access databases.

%package libs
Summary:        Library for accessing data stored in Microsoft Access databases
License:        LGPLv2+

%description libs
This package contains the MDB Tools library, which can be used by applications
to access data stored in Microsoft Access databases.

%package        devel
Summary:        Development files for %{name}
License:        LGPLv2+
Recommends:     %{name}-libs%{?_isa} = %{version}-%{release}, glib2-devel, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        odbc
Summary:        MDB Unix-ODBC driver
License:        LGPLv2+
Recommends:     %{name}-libs%{?_isa} = %{version}-%{release}

%description    odbc
The mdbtools-odbc package contains a Unix-ODBC driver using
the mdbtools SQL front-end for MDB files.

%prep
%autosetup -p1
autoreconf -vif

%build
%configure --disable-static --with-unixodbc="%{_prefix}"
%make_build V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
%ldconfig_scriptlets libs

%files
%license COPYING
%{_bindir}/mdb-*
%{_mandir}/man1/mdb-*.1.xz
%{_datadir}/bash-completion

%files libs
%doc AUTHORS NEWS README.md
%license COPYING.LIB
%{_libdir}/libmdb*.so.*

%files devel
%doc HACKING.md
%{_libdir}/libmdb*.so
%{_libdir}/pkgconfig/libmdb*.pc
%{_includedir}/mdb*.h

%files odbc
%{_libdir}/odbc
